Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class DefaultErrorHandler

    java.lang.Object
      weblogic.apache.xerces.util.DefaultErrorHandler

All Implemented Interfaces:
  XMLErrorHandler

Deprecated. please use JDK supplied XML parsers and transformers

public class DefaultErrorHandler
extends Object
implements XMLErrorHandler

Default error handler.

Field Summary
`protected PrintWriter` | `fOut` Deprecated. Print writer.

Constructor Summary
`DefaultErrorHandler()` Deprecated. Constructs an error handler that prints error messages to `System.err`.
`DefaultErrorHandler(PrintWriter out)` Deprecated. Constructs an error handler that prints error messages to the specified `PrintWriter`

Method Summary
`void` | `error(String domain, String key, XMLParseException ex)` Deprecated. Error.
`void` | `fatalError(String domain, String key, XMLParseException ex)` Deprecated. Fatal error.
`void` | `warning(String domain, String key, XMLParseException ex)` Deprecated. Warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fOut

    protected PrintWriter fOut

  Deprecated.
  Print writer.

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler()

  Deprecated.
  Constructs an error handler that prints error messages to `System.err`.

### DefaultErrorHandler

    public DefaultErrorHandler(PrintWriter out)

  Deprecated.
  Constructs an error handler that prints error messages to the specified `PrintWriter`

Method Detail

### error

    public void error(String domain,
                      String key,
                      XMLParseException ex)
               throws XNIException

  Deprecated.
  Error.

  Specified by:
    `error` in interface `XMLErrorHandler`
  Parameters:
    `domain` - The domain of the error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this error.
    `key` - The error key. This key can be any string and is implementation dependent.
    `ex` - Exception.
  Throws:
    `XNIException` - Thrown to signal that the parser should stop parsing the document.

### fatalError

    public void fatalError(String domain,
                           String key,
                           XMLParseException ex)
                    throws XNIException

  Deprecated.
  Fatal error.

  Specified by:
    `fatalError` in interface `XMLErrorHandler`
  Parameters:
    `domain` - The domain of the fatal error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this fatal error.
    `key` - The fatal error key. This key can be any string and is implementation dependent.
    `ex` - Exception.
  Throws:
    `XNIException` - Thrown to signal that the parser should stop parsing the document.

### warning

    public void warning(String domain,
                        String key,
                        XMLParseException ex)
                 throws XNIException

  Deprecated.
  Warning.

  Specified by:
    `warning` in interface `XMLErrorHandler`
  Parameters:
    `domain` - The domain of the warning. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this warning.
    `key` - The warning key. This key can be any string and is implementation dependent.
    `ex` - Exception.
  Throws:
    `XNIException` - Thrown to signal that the parser should stop parsing the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD